/* NicEdit plugin for DokuWiki
 * 
 * Plugin structure adapted from Paul's procedure [0] by Olivier Mehani 
 * <shtrom-doku@ssji.net>
 *
 * [0] http://www.dokuwiki.org/plugin:wysiwyg_nicedit
 */

/* DOKUWIKI:include nicEdit.js */

var myNicEditor;

function update_this() {
	myNicEditor.instanceById('wiki__text').saveContent();
}

function installNicEdit() {
	var btn_preview = document.getElementById('edbtn__preview');
	if (btn_preview != null) {
		myNicEditor =	new nicEditor({ bbCode:true, fullPanel : true}).panelInstance('wiki__text');
		addEvent(btn_preview, 'click', function(){update_this();});
	}
}

addInitEvent(function(){
		installNicEdit();}
);
